{ 
  "sEcho": <%= echo_data_tables %>,
  "iTotalRecords": <%= @services_total_count.to_json %>,
  "iTotalDisplayRecords": <%= @services_total_display_count.to_json %>,
  "aaData": [
  <% @services.each_with_index do |service, index| -%>
    {
      "DT_RowId":   <%= dom_id(service).to_json.html_safe %>,
      "checkbox":   <%= service_host_checkbox_tag(service) %>,
      "host":       <%= service_host_name_html(service) %>,
      "name":       <%= service_name_html(service) %>,
      "protocol":   <%= service_protocol_html(service) %>,
      "port":       <%= service_port_html(service) %>,
      "info":       <%= service_info_html(service) %>,
      "state":      <%= service_state_html(service) %>,
      "updated_at": <%= service_updated_at_html(service) %>
    }<%= ',' unless index == (@services.size - 1) %>
  <% end -%>
  ]
}
